using System;

public class Application {
public static void Main() {
shogun.init_shogun_with_defaults();

CSVFile f_feats_train = new CSVFile("../../data/classifier_4class_2d_linear_features_train.dat");

//![create_features]
RealFeatures features_train = new RealFeatures(f_feats_train);
//![create_features]

//![choose_distance]
EuclideanDistance distance = new EuclideanDistance(features_train, features_train);
//![choose_distance]

//![create_instance]
int merges = 3;
Hierarchical hierarchical = new Hierarchical(merges, distance);
//![create_instance]

//![train_model]
hierarchical.train();
//![train_model]

//![extract_results]
double[] d = hierarchical.get_merge_distances();
int[,] cp = hierarchical.get_cluster_pairs();
//![extract_results]

}
}
