using System;

public class Application {
public static void Main() {
shogun.init_shogun_with_defaults();

CSVFile f_feats_train = new CSVFile("../../data/classifier_binary_2d_linear_features_train.dat");
Math.init_random(1);

//![create_features]
RealFeatures features_train = new RealFeatures(f_feats_train);
//![create_features]

//![choose_distance]
EuclideanDistance distance = new EuclideanDistance(features_train, features_train);
//![choose_distance]

//![create_instance_lloyd]
KMeans kmeans = new KMeans(2, distance);
//![create_instance_lloyd]

//![train_dataset]
kmeans.train();
//![train_dataset]

//![extract_centers_and_radius]
double[,] c = kmeans.get_cluster_centers();
double[] r = kmeans.get_radiuses();
//![extract_centers_and_radius]

//![create_instance_mb]
KMeansMiniBatch kmeans_mb = new KMeansMiniBatch(2, distance);
kmeans_mb.set_mb_params(4, 1000);
//![create_instance_mb]

}
}
