using System;

public class Application {
public static void Main() {
shogun.init_shogun_with_defaults();

CSVFile f_feats = new CSVFile("../../data/ica_2_sources.dat");

Math.init_random(1);

//![create_features]
RealFeatures features = new RealFeatures(f_feats);
//![create_features]

//![set_parameters]
FastICA ica = new FastICA();
ica.set_max_iter(200);
ica.set_tol(0.00001);
//![set_parameters]

//![apply_convert]
Features converted = ica.apply(features);
//![apply_convert]

//![extract]
double[,] mixing_matrix = ica.get_mixing_matrix();
RealFeatures casted = RealFeatures.obtain_from_generic(converted);
double[,] unmixed_signal = casted.get_feature_matrix();
//![extract]


}
}
