using System;

public class Application {
public static void Main() {
shogun.init_shogun_with_defaults();

CSVFile f_feats_train = new CSVFile("../../data/classifier_4class_2d_linear_features_train.dat");
CSVFile f_feats_test = new CSVFile("../../data/classifier_4class_2d_linear_features_test.dat");
CSVFile f_labels_train = new CSVFile("../../data/classifier_4class_2d_linear_labels_train.dat");
CSVFile f_labels_test = new CSVFile("../../data/classifier_4class_2d_linear_labels_test.dat");

//![create_features]
RealFeatures features_train = new RealFeatures(f_feats_train);
RealFeatures features_test = new RealFeatures(f_feats_test);
MulticlassLabels labels_train = new MulticlassLabels(f_labels_train);
MulticlassLabels labels_test = new MulticlassLabels(f_labels_test);
//![create_features]

//![set_feature_types]
var ft = new int[2];
ft[0] = 2;
ft[1] = 2;
//![set_feature_types]

//![create_instance]
CHAIDTree classifier = new CHAIDTree(0, ft, 10);
classifier.set_labels(labels_train);
//![create_instance]

//![train_and_apply]
classifier.train(features_train);
MulticlassLabels labels_predict = classifier.apply_multiclass(features_test);
//![train_and_apply]

//![evaluate_accuracy]
MulticlassAccuracy eval = new MulticlassAccuracy();
double accuracy = eval.evaluate(labels_predict, labels_test);
//![evaluate_accuracy]

// integration testing variables
double[] output = labels_predict.get_labels();

}
}
