using System;

public class Application {
public static void Main() {
shogun.init_shogun_with_defaults();

CSVFile f_feats_train = new CSVFile("../../data/classifier_4class_2d_linear_features_train.dat");
CSVFile f_feats_test = new CSVFile("../../data/classifier_4class_2d_linear_features_test.dat");
CSVFile f_labels_train = new CSVFile("../../data/classifier_4class_2d_linear_labels_train.dat");

//![create_features]
RealFeatures features_train = new RealFeatures(f_feats_train);
RealFeatures features_test = new RealFeatures(f_feats_test);
MulticlassLabels labels_train = new MulticlassLabels(f_labels_train);
//![create_features]


//![create_instance]
GaussianNaiveBayes gnb = new GaussianNaiveBayes(features_train, labels_train);
//![create_instance]

//![train_and_apply]
gnb.train();
MulticlassLabels labels_predict = gnb.apply_multiclass(features_test);
//![train_and_apply]


// integration testing variables
double[] output = labels_predict.get_labels();

}
}
