using System;

public class Application {
public static void Main() {
shogun.init_shogun_with_defaults();

CSVFile f_feats_train = new CSVFile("../../data/classifier_4class_2d_linear_features_train.dat");
CSVFile f_feats_test = new CSVFile("../../data/classifier_4class_2d_linear_features_test.dat");
CSVFile f_labels_train = new CSVFile("../../data/classifier_4class_2d_linear_labels_train.dat");
CSVFile f_labels_test = new CSVFile("../../data/classifier_4class_2d_linear_labels_test.dat");

//![create_features]
RealFeatures features_train = new RealFeatures(f_feats_train);
RealFeatures features_test = new RealFeatures(f_feats_test);
MulticlassLabels labels_train = new MulticlassLabels(f_labels_train);
MulticlassLabels labels_test = new MulticlassLabels(f_labels_test);
//![create_features]

//![create_instance]
MCLDA mc_lda = new MCLDA(features_train, labels_train, 0.0001, true);
//![create_instance]

//![train_and_apply]
mc_lda.train();
MulticlassLabels labels_predict = mc_lda.apply_multiclass(features_test);
//![train_and_apply]

//![extract_mean_and_cov]
int classlabel = 1;
double[] m = mc_lda.get_mean(classlabel);
double[,] c = mc_lda.get_cov();
//![extract_mean_and_cov]

//![evaluate_accuracy]
MulticlassAccuracy evals = new MulticlassAccuracy();
double accuracy = evals.evaluate(labels_predict, labels_test);
//![evaluate_accuracy]

// additional integration testing variables
double[] output = labels_predict.get_labels();

}
}
