using System;

public class Application {
public static void Main() {
shogun.init_shogun_with_defaults();

CSVFile f_feats_train = new CSVFile("../../data/classifier_4class_2d_linear_features_train.dat");
CSVFile f_feats_test = new CSVFile("../../data/classifier_4class_2d_linear_features_test.dat");
CSVFile f_labels_train = new CSVFile("../../data/classifier_4class_2d_linear_labels_train.dat");
CSVFile f_labels_test = new CSVFile("../../data/classifier_4class_2d_linear_labels_test.dat");

//![create_features]
RealFeatures features_train = new RealFeatures(f_feats_train);
RealFeatures features_test = new RealFeatures(f_feats_test);
MulticlassLabels labels_train = new MulticlassLabels(f_labels_train);
MulticlassLabels labels_test = new MulticlassLabels(f_labels_test);
//![create_features]

//![set_parameters]
MulticlassLibLinear mll = new MulticlassLibLinear();
GaussianKernel kernel = new GaussianKernel();
//![set_parameters]

//![create_instance]
RelaxedTree machine = new RelaxedTree();
machine.set_labels(labels_train);
machine.set_machine_for_confusion_matrix(mll);
machine.set_kernel(kernel);
//![create_instance]

//![train_and_apply]
machine.train(features_train);
MulticlassLabels labels_predict = machine.apply_multiclass(features_test);
//![train_and_apply]

//![evaluate_accuracy]
MulticlassAccuracy eval = new MulticlassAccuracy();
double accuracy = eval.evaluate(labels_predict, labels_test);
//![evaluate_accuracy]

// integration testing variables
double[] output = labels_predict.get_labels();

}
}
